$(document).ready(function(){
	
	// Intro
	var timer = null;
	$('.item a').hover(function(){
		var _this = $(this);
		timer = setTimeout(function(){
			_this.addClass('active',300);
			_this.parent('.item').addClass('active',200);
			_this.find('.title').delay(300).addClass('active',300);
			_this.next('.caption').fadeOut(150);
		}, 300);
	},function(){
		clearTimeout(timer);
		$(this).removeClass('active',300);
		$(this).parent('.item').removeClass('active',200);
		$(this).find('.title').removeClass('active', 50);
		$(this).next('.caption').fadeIn(150);
	});
	
	// Tabs
	$('.docs').tabs();
	
	// Promo
	$('.promo ul').after('<div class="pager" />').carouFredSel({
		pagination: '.promo .pager',
		auto: 6000,
		scroll:{
			items: 1,
			fx: 'crossfade',
			duration: 1000
		}
	});
	
	// IE hacks	
	if($.browser.msie && $.browser.version < 9){
		var below = '<img src="' + projectPath + 'website/sst/template/i/item-below.png" alt="" style="z-index:-1">';
		var above = '<img src="' + projectPath + 'website/sst/template/i/item-above.png" alt="" style="z-index:2">';
		$('.item a').css('background', 'none').append(below).append(above).find('.above').remove();
		$('.content tr:nth-child(2n+1) td').css('background', '#dfeaf2');
	};
	
	// Placeholder
	if(!Modernizr.input.placeholder){
		if($('input, textarea').attr('placeholder')){
			$('input, textarea').each(function(){
				$(this).focus(function(){
					if($(this).val() == $(this).attr('placeholder')){
						$(this).val("");
					}
				});
				$(this).blur(function(){
					if($(this).val() == ""){
						$(this).val($(this).attr('placeholder'));
					}
				});
				$(this).blur();
			});
		}
	};
	
});